/*
 * Copyright 2022 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.example.hellonews.ui.theme

import androidx.compose.foundation.isSystemInDarkTheme
import androidx.compose.material.MaterialTheme
import androidx.compose.material.darkColors
import androidx.compose.runtime.Composable
import androidx.compose.ui.graphics.Color

private val DarkThemeColors = darkColors(
    primary = Color(0xFFD4FF9E),
    secondary = Color(0xFFFFFFFF),
    onSecondary = Color(0xFF444746),
    onBackground = Color(0xFFFFFFFF),
    background = Color(0xFF2D3946),
    surface = Color(0xFF202830),
)

@Composable
fun NewsTheme(
    content: @Composable () -> Unit
) {
    MaterialTheme(
        colors = DarkThemeColors,
        typography = Typography,
        shapes = Shapes,
        content = content,
    )
}
